From cb4ee4bb71beb8a1f102dad701f719df2b87c4fe Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 24 2020 18:28:34 +0000
Subject: [PATCH 347/2232] Fix missing absolute path to MaybeUninit


It's possible for `std` to mean something different from `::std` if the
user's ffi mod contains a type named `std`.

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 3189bff..8223572 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -228,7 +228,7 @@ fn expand_cxx_function_shim(namespace: &Namespace, efn: &ExternFn, types: &Types
             // These are arguments for which C++ has taken ownership of the data
             // behind the mut reference it received.
             quote! {
-                let mut #var = std::mem::MaybeUninit::new(#var);
+                let mut #var = ::std::mem::MaybeUninit::new(#var);
             }
         })
         .collect::<TokenStream>();

